using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Entities.SC.SC;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查库法规
    /// </summary>
    [Description("检查库法规")]
    public class T_BS_CHECK_MAIN_LAW : MesEntityBase
    {
        /// <summary>
        /// 检查库
        /// </summary>
        [Description("检查库")]
        [DataFieldForeignKey("Nav_Main", "Nav_ListLaw")]
        public Guid CHECK_MAIN_ID { get; set; }

        ///<summary>
        /// 检查库
        /// </summary>
        [Description("检查库")]
        public virtual T_BS_CHECK_MAIN Nav_Main { get; set; }

        /// <summary>
        /// 制度库 （法律法规 改为 制度库）
        /// </summary>
        [Description("制度库")]
        [DataFieldForeignKey("Nav_Standard")]
        public Guid STANDARD_ID { get; set; }

        ///<summary>
        /// 法律法规
        /// </summary>
        [Description("制度库")]
        public virtual T_SC_STANDARD_CREATE Nav_Standard { get; set; }
    }
}
